gdcm::SimpleMemberCommand< T > Class Template Reference

Command subclass that calls a pointer to a member function. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::SimpleMemberCommand< T >:
[legend]
Collaboration diagram for gdcm::SimpleMemberCommand< T >:
[legend]

## Public Types

typedef SimpleMemberCommand | Self
typedef void(T::* | TMemberFunctionPointer) ()

## Public Member Functions

| SimpleMemberCommand (const Self &)=delete
void | Execute (const Subject *, const Event &) override
void | Execute (Subject *, const Event &) override
void | operator= (const Self &)=delete
void | SetCallbackFunction (T *object, TMemberFunctionPointer memberFunction)
Public Member Functions inherited from gdcm::Command
| Command (const Command &)=delete
void | operator= (const Command &)=delete
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static SmartPointer< SimpleMemberCommand > | New ()

## Protected Member Functions

| SimpleMemberCommand ()
| ~SimpleMemberCommand () override=default
Protected Member Functions inherited from gdcm::Command
| Command ()
| ~Command () override
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Protected Attributes

TMemberFunctionPointer | m_MemberFunction
T * | m_This

## Detailed Description

template<typename T>
class gdcm::SimpleMemberCommand< T >

Command subclass that calls a pointer to a member function.

SimpleMemberCommand calls a pointer to a member function with no arguments.

## Member Typedef Documentation

## Self

template<typename T>

typedef SimpleMemberCommand gdcm::SimpleMemberCommand< T >::Self

Standard class typedefs.

## TMemberFunctionPointer

template<typename T>

typedef void(T::* gdcm::SimpleMemberCommand< T >::TMemberFunctionPointer) ()

A method callback.

## Constructor & Destructor Documentation

## SimpleMemberCommand() [1/2]

template<typename T>

gdcm::SimpleMemberCommand< T >::SimpleMemberCommand | ( | const Self & |  | ) |

delete

## SimpleMemberCommand() [2/2]

template<typename T>

gdcm::SimpleMemberCommand< T >::SimpleMemberCommand | ( |  | ) |

inline protected

## ~SimpleMemberCommand()

template<typename T>

gdcm::SimpleMemberCommand< T >::~SimpleMemberCommand | ( |  | ) |

override protected default

## Member Function Documentation

## Execute() [1/2]

template<typename T>

void gdcm::SimpleMemberCommand< T >::Execute | ( | const Subject * | caller,
|  | const Event & | event )

inline override virtual

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implements gdcm::Command.

## Execute() [2/2]

template<typename T>

void gdcm::SimpleMemberCommand< T >::Execute | ( | Subject * | ,
|  | const Event & | )

inline override virtual

Invoke the callback function.

Implements gdcm::Command.

## New()

template<typename T>

SmartPointer< SimpleMemberCommand > gdcm::SimpleMemberCommand< T >::New | ( |  | ) |

inline static

Run-time type information (and related methods). Method for creation through the object factory.

## operator=()

template<typename T>

void gdcm::SimpleMemberCommand< T >::operator= | ( | const Self & |  | ) |

delete

## SetCallbackFunction()

template<typename T>

void gdcm::SimpleMemberCommand< T >::SetCallbackFunction | ( | T * | object,
|  | TMemberFunctionPointer | memberFunction )

inline

Specify the callback function.

## Member Data Documentation

## m_MemberFunction

template<typename T>

TMemberFunctionPointer gdcm::SimpleMemberCommand< T >::m_MemberFunction

protected

## m_This

template<typename T>

T* gdcm::SimpleMemberCommand< T >::m_This

protected

The documentation for this class was generated from the following file:

- gdcmCommand.h